using e_suite.Utilities.Pagination;
using NUnit.Framework;
using SSOManager.UnitTests.Helpers;

namespace SSOManager.UnitTests.SsoManager;

[TestFixture]
public class GetSsoProvidersAsyncUnitTests : SsoManagerTestBase<object>
{
    [SetUp]
    public override async Task Setup()
    {
        await base.Setup();
    }

    [Test]
    public async Task GetSsoProvidersAsync_WhenCalled_ReturnsRecordSet()
    {
        // Arrange
        var paging = new Paging(); 

        // Act
        var result = await SsoManager.GetSsoProvidersAsync(paging, default);

        // Assert
        Assert.That(result, Is.Not.Null);
        Assert.That(result.Count, Is.EqualTo(1));
        Assert.That(result.Data, Is.Not.Null);
        Assert.That(result.Data.Count(), Is.EqualTo(1));
    }
}